Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface MsgDataElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

All Known Implementing Classes:
  MsgDataElementImpl

public interface MsgDataElement
extends org.eclipse.emf.ecore.EObject, java.io.Serializable

A representation of the model object 'Msg Data Element'.

The MsgDataElement represents the data that is used to specify all of the related information that is associated with the message that this event holds.

Since:
  1.0

  The following features are supported:

  - `Msg Id Type`
  - `Msg Catalog Type`
  - `Msg Catalog`
  - `Msg Catalog Id`
  - `Msg Id`
  - `Msg Locale`
  - `Msg Catalog Tokens`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getMsgDataElement()`

Method Summary
`MsgCatalogToken` | `addMsgCatalogToken(MsgCatalogToken value)` Adds a new `MsgCatalogToken` to this object.
`MsgCatalogToken` | `addMsgCatalogTokenAsString(java.lang.String value)` Adds a new `MsgCatalogToken` to this object.
`void` | `clearMsgCatalogTokens()` Removes all msgCatalogTokens that this event is referencing
`java.lang.String` | `getMsgCatalog()` Returns the value of the 'Msg Catalog' attribute.
`java.lang.String` | `getMsgCatalogId()` Returns the value of the 'Msg Catalog Id' attribute.
`org.eclipse.emf.common.util.EList` | `getMsgCatalogTokens()` Returns the value of the 'Msg Catalog Tokens' containment reference list.
`java.lang.String[]` | `getMsgCatalogTokensAsStrings()` Returns the value of the 'Msg Catalog Tokens' attribute list.
`java.lang.String` | `getMsgCatalogType()` Returns the value of the 'Msg Catalog Type' attribute.
`java.lang.String` | `getMsgId()` Returns the value of the 'Msg Id' attribute.
`java.lang.String` | `getMsgIdType()` Returns the value of the 'Msg Id Type' attribute.
`java.lang.String` | `getMsgLocale()` Returns the value of the 'Msg Locale' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setMsgCatalog(java.lang.String value)` Sets the value of the '`Msg Catalog`' attribute.
`void` | `setMsgCatalogId(java.lang.String value)` Sets the value of the '`Msg Catalog Id`' attribute.
`void` | `setMsgCatalogTokens(MsgCatalogToken[] msgCatalogTokens)` Sets the value of the 'Msg Catalog Tokens' attribute list.
`void` | `setMsgCatalogTokensAsStrings(java.lang.String[] msgCatalogTokens)` Sets the value of the 'Msg Catalog Tokens' attribute list.
`void` | `setMsgCatalogType(java.lang.String value)` Sets the value of the '`Msg Catalog Type`' attribute.
`void` | `setMsgId(java.lang.String value)` Sets the value of the '`Msg Id`' attribute.
`void` | `setMsgIdType(java.lang.String value)` Sets the value of the '`Msg Id Type`' attribute.
`void` | `setMsgLocale(java.lang.String value)` Sets the value of the '`Msg Locale`' attribute.
`void` | `validate()` Checks whether the contents of this object conforms to the CBE specification.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMsgIdType

    public java.lang.String getMsgIdType()

  Returns the value of the 'Msg Id Type' attribute.

  Returns:
    the value of the 'Msg Id Type' attribute.
  See Also:
    `setMsgIdType(String)`, `EventPackage.getMsgDataElement_MsgIdType()`

### setMsgIdType

    public void setMsgIdType(java.lang.String value)

  Sets the value of the '`Msg Id Type`' attribute.

  Specifies the meaning and format of the msgId. If the msgId conforms to or represents a standard or a well-known convention, it is named by this property. Examples are: "IBM3.4", "IBM4.4", "IBM3.1.4", "IBM3.4.1", "IBM4.4.1", and "IBM3.1.4.1".

  The nonexclusive reserved keywords include:

  - IBM* (* is as described above)
  - JMX
  - DottedName
  - Unknown
  This is an optional property. The string length for msgIdType must not exceed 32 characters.

  Parameters:
    `value` - the new value of the 'Msg Id Type' attribute.
  See Also:
    `getMsgIdType()`

### getMsgCatalogType

    public java.lang.String getMsgCatalogType()

  Returns the value of the 'Msg Catalog Type' attribute.

  Returns:
    the value of the 'Msg Catalog Type' attribute.
  See Also:
    `setMsgCatalogType(String)`, `EventPackage.getMsgDataElement_MsgCatalogType()`

### setMsgCatalogType

    public void setMsgCatalogType(java.lang.String value)

  Sets the value of the '`Msg Catalog Type`' attribute.

  The msgCatalogType property specifies the meaning and format of the msgCatalog. The current nonexclusive list of reserved keywords includes:

  - Java
  - XPG
  This property is optional and it is not mutable once it is set. The string length for the msgCatalogType property must not exceed 32 characters.

  Parameters:
    `value` - the new value of the 'Msg Catalog Type' attribute.
  See Also:
    `getMsgCatalogType()`

### getMsgCatalog

    public java.lang.String getMsgCatalog()

  Returns the value of the 'Msg Catalog' attribute.

  Returns:
    the value of the 'Msg Catalog' attribute.
  See Also:
    `setMsgCatalog(String)`, `EventPackage.getMsgDataElement_MsgCatalog()`

### setMsgCatalog

    public void setMsgCatalog(java.lang.String value)

  Sets the value of the '`Msg Catalog`' attribute.

  The qualified name of the message catalog that contains the translated message specified by the msgCatalogId.

  This is an optional property. The string length of the msgCatalog must not exceed 128 characters.

  Parameters:
    `value` - the new value of the 'Msg Catalog' attribute.
  See Also:
    `getMsgCatalog()`

### getMsgCatalogId

    public java.lang.String getMsgCatalogId()

  Returns the value of the 'Msg Catalog Id' attribute.

  Returns:
    the value of the 'Msg Catalog Id' attribute.
  See Also:
    `setMsgCatalogId(String)`, `EventPackage.getMsgDataElement_MsgCatalogId()`

### setMsgCatalogId

    public void setMsgCatalogId(java.lang.String value)

  Sets the value of the '`Msg Catalog Id`' attribute.

  The index or the identifier for a message that is used for resolving the message text from a message catalog.

  This is an optional property. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Msg Catalog Id' attribute.
  See Also:
    `getMsgCatalogId()`

### getMsgId

    public java.lang.String getMsgId()

  Returns the value of the 'Msg Id' attribute.

  Returns:
    the value of the 'Msg Id' attribute.
  See Also:
    `setMsgId(String)`, `EventPackage.getMsgDataElement_MsgId()`

### setMsgId

    public void setMsgId(java.lang.String value)

  Sets the value of the '`Msg Id`' attribute.

  Specifies the message identifier of the event. This identifier should be a unique value string of alphanumeric or numeric characters. It can be as simple as a string of numeric characters that identify a message in a message catalog or a multi-part string of alphanumeric characters (for example, DBT1234E).

  This is an optional property. The string length for msgId must not exceed 256 characters.

  Parameters:
    `value` - the new value of the 'Msg Id' attribute.
  See Also:
    `getMsgId()`

### getMsgLocale

    public java.lang.String getMsgLocale()

  Returns the value of the 'Msg Locale' attribute.

  Returns:
    the value of the 'Msg Locale' attribute.
  See Also:
    `setMsgLocale(String)`, `EventPackage.getMsgDataElement_MsgLocale()`

### setMsgLocale

    public void setMsgLocale(java.lang.String value)

  Sets the value of the '`Msg Locale`' attribute.

  The locale for which this msg property is rendered. Its value is a locale code that conforms to IETF RFC 1766.

  This is an optional property.

  Parameters:
    `value` - the new value of the 'Msg Locale' attribute.
  See Also:
    `getMsgLocale()`

### getMsgCatalogTokens

    public org.eclipse.emf.common.util.EList getMsgCatalogTokens()

  Returns the value of the 'Msg Catalog Tokens' containment reference list. The list contents are of type `MsgCatalogToken`.

  An array of strings used as substitution values for resolving an internationalized message into formatted text. The order of the substitution values is implied by the implicit order of the array elements.

  If there are no substitution values, then msgCatalogTokens does not need to be specified.

  This is an optional property. The string length for the msgCatalogTokens property must not exceed 256 characters per token.

  Returns:
    the value of the 'Msg Catalog Tokens' containment reference list.
  See Also:
    `EventPackage.getMsgDataElement_MsgCatalogTokens()`

### addMsgCatalogTokenAsString

    public MsgCatalogToken addMsgCatalogTokenAsString(java.lang.String value)

  Adds a new `MsgCatalogToken` to this object.

  It creates a `MsgCatalogToken` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `value` - the `String` value for the new message catalog token.
  Returns:
    a reference to the message catalog token added to this object.
  See Also:
    `MsgCatalogToken`

### addMsgCatalogToken

    public MsgCatalogToken addMsgCatalogToken(MsgCatalogToken value)

  Adds a new `MsgCatalogToken` to this object.

  It creates a `MsgCatalogToken` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `value` - the `MsgCatalogToken` value.
  Returns:
    a reference to the message catalog token added to this object.
  See Also:
    `MsgCatalogToken`

### clearMsgCatalogTokens

    public void clearMsgCatalogTokens()

  Removes all msgCatalogTokens that this event is referencing

### getMsgCatalogTokensAsStrings

    public java.lang.String[] getMsgCatalogTokensAsStrings()

  Returns the value of the 'Msg Catalog Tokens' attribute list.

  Each string corresponds to the `value` attribute of a `MsgCatalogToken` inside the message catalog token list.

  Returns:
    the value of the 'Msg Catalog Tokens' attribute list.
  See Also:
    `getMsgCatalogTokens()`, `setMsgCatalogTokensAsStrings(String[])`

### setMsgCatalogTokensAsStrings

    public void setMsgCatalogTokensAsStrings(java.lang.String[] msgCatalogTokens)

  Sets the value of the 'Msg Catalog Tokens' attribute list.

  Each string is translated to the `value` attribute of a `MsgCatalogToken` to be added to the message catalog token list.

  Any prior message catalog token is removed before the new list is set.

  Parameters:
    `msgCatalogTokens` - array of values for the message catalog tokens
  See Also:
    `getMsgCatalogTokens()`, `getMsgCatalogTokensAsStrings()`

### setMsgCatalogTokens

    public void setMsgCatalogTokens(MsgCatalogToken[] msgCatalogTokens)

  Sets the value of the 'Msg Catalog Tokens' attribute list.

  Each string is translated to the `value` attribute of a `MsgCatalogToken` to be added to the message catalog token list.

  Any prior message catalog token is removed before the new list is set.

  Parameters:
    `msgCatalogTokens` - array of values for the message catalog tokens
  See Also:
    `getMsgCatalogTokens()`, `getMsgCatalogTokensAsStrings()`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of this object conforms to the CBE specification.

  Throws:
    `ValidationException` - if the object does not follow the CBE specification.

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD